# Donor Statement Templates Donor Statement Templates ## Gets all of the donor statement templates in the system. - [GET /donorStatementTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statement-templates/listdonorstatementtemplates.md): This method will scan all donor statement templates and and return them to the caller. ## Creates a new donor statement template record that does not already exist. - [POST /donorStatementTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statement-templates/createdonorstatementtemplate.md): This method will auto-generate an ID and create a new donor statement template. If an ID is specified for the donor statement template, an error will be thrown. ## Returns a donor statement template from the system by its ID. - [DELETE /donorStatementTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statement-templates/deletedonorstatementtemplate.md): This method will delete a donor statement template with the specified ID. ## Returns a donor statement template from the system by its ID. - [GET /donorStatementTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statement-templates/getdonorstatementtemplate.md): This method will look up a donor statement template by the specified ID and return it back. ## Partially updates a donor statement template with the specified ID. - [PATCH /donorStatementTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statement-templates/patchdonorstatementtemplate.md): This method will patch an existing donor statement template with the specified ID, using the HTTP PATCH specification. ## Updates a donor statement template with the specified ID. - [PUT /donorStatementTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statement-templates/updatedonorstatementtemplate.md): This method will update an existing donor statement template with the specified ID.